%add_findprov_lib_path %_libdir/kde3

Name: pixieplus
Version: 0.5.4
Release: alt2

Group: Graphics
Summary: An Image and Photo Manager for Unix Systems
URL: http://www.mosfet.org/pixie/
License: BSD (libpixie_misc.so is under LGPL)
Icon:	pixie.xpm
Packager: Alexey Morozov <morozov@altlinux.org>

Source: %name-%version.tar.bz2
Patch0: pixieplus-0.5.4-IM-check.patch
Patch1: pixieplus-0.5.4-modules-path.patch
Patch2: pixieplus-0.5.4-htmldoc-path.patch
Patch3: pixieplus-0.5.4-alt-IM60-check.patch
Patch4: pixieplus-0.5.4-alt-IM60-api.patch

Requires: libImageMagick >= 6.0.0
Requires: %{get_dep kdelibs}

BuildRequires: perl-base
BuildRequires: libImageMagick-devel >= 6.0.0

BuildRequires: XFree86-devel bzlib-devel
BuildRequires: freetype2-devel gcc-c++
BuildRequires: kdelibs-devel
BuildRequires: libart_lgpl-devel libarts-devel libjpeg-devel
BuildRequires: liblcms-devel libpng-devel libqt3-devel
BuildRequires: libstdc++-devel libtiff-devel libungif-devel zlib-devel

%description
A free, fast, and feature packed image browser, viewer, and
image/photo editor for Unix/Linux/X11 systems.

%prep
%setup -q -n %name-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# Change KDE libraries check to be ALT-compliant
%__subst 's/libk\(decore\|io\)\.la/libk\1.so/g' acinclude.m4

%build
%__libtoolize --copy --force
%__aclocal
%__automake
perl admin/am_edit
%__autoconf
%configure \
    --disable-closure \
    --enable-final \
    --disable-static \
    --enable-shared \
    --disable-rpath \
    --program-transform-name=""

%make_build

%install
%make DESTDIR=%buildroot install

ln -sf hicolor/32x32/apps/pixie.png %buildroot%_iconsdir/pixie.png

%__mkdir_p %buildroot{%_miconsdir,%_liconsdir}
# Hack hack hack...
# We rely on %_miconsdir and %_liconsdir being subdirs in %_iconsdir
ln -sf ../hicolor/16x16/apps/pixie.png %buildroot%_miconsdir/pixie.png
ln -sf ../hicolor/48x48/apps/pixie.png %buildroot%_liconsdir/pixie.png

# create menus
mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name "Multimedia/Graphics" %buildroot/%_datadir/applnk/Graphics/pixie.desktop %buildroot/%_menudir/%name
kdedesktop2mdkmenu.pl %name "Multimedia/Graphics" %buildroot/%_datadir/applnk/Graphics/pixie-mini.desktop %buildroot/%_menudir/%name-mini

# this conflicts with the file from kdelibs-3.1.1+
rm -f %buildroot%_datadir/mimelnk/image/x-pcx.desktop

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_libdir/kde3/*.so
%_libdir/kde3/*.la

%_datadir/apps/pixie
%_datadir/apps/konqueror/servicemenus/*.desktop

%_datadir/mimelnk/image/*.desktop
%_datadir/applnk/Graphics/*.desktop

%_menudir/*
%_iconsdir/*.png
%_miconsdir/*.png
%_liconsdir/*.png
%_iconsdir/*/*/*/*.png
%dir %_datadir/doc/HTML/en/pixie
%docdir %_datadir/doc/HTML/en/pixie
%_datadir/doc/HTML/en/pixie/*
%doc *.README

%changelog
* Wed May 19 2004 Alexey Morozov <morozov@altlinux.org> 0.5.4-alt2
- patches to build against IM-6.0

* Mon May 10 2004 Alexey Morozov <morozov@altlinux.org> 0.5.4-alt1
- Freshen the spec.

* Wed Apr  9 2003 Alexey Morozov <morozov@altlinux.org> 0.5.4-alt0.aam1
- Initial build (based on spec from cdbakeoven-2.0-alt0.1.beta2)
